ID CVE-2020-16591
Summary A Denial of Service vulnerability exists in the Binary File Descriptor (BFD) in GNU Binutils 2.35 due to an invalid read in process_symbol_table, as demonstrated in readeif.
References
Vulnerable Configurations
  • cpe:2.3:a:gnu:binutils:2.34:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:binutils:2.34:*:*:*:*:*:*:*
CVSS
Base: 4.3 (as of 16-04-2021 - 22:15)
Impact:
Exploitability:
CWE CWE-125
CAPEC
  • Infiltration of Hardware Development Environment
    An attacker, leveraging the ability to manipulate components of primary support systems and tools within the development and production environments, inserts malicious software within the hardware and/or firmware development environment. The infiltration purpose is to alter developed hardware components in a system destined for deployment at the victim's organization, for the purpose of disruption or further compromise.
  • Overread Buffers
    An adversary attacks a target by providing input that causes an application to read beyond the boundary of a defined buffer. This typically occurs when a value influencing where to start or stop reading is set to reflect positions outside of the valid memory location of the buffer. This type of attack may result in exposure of sensitive information, a system crash, or arbitrary code execution.
Access
VectorComplexityAuthentication
NETWORK MEDIUM NONE
Impact
ConfidentialityIntegrityAvailability
NONE NONE PARTIAL
cvss-vector via4 AV:N/AC:M/Au:N/C:N/I:N/A:P
refmap via4
confirm https://security.netapp.com/advisory/ntap-20210115-0003/
misc
Last major update 16-04-2021 - 22:15
Published 09-12-2020 - 21:15
Last modified 16-04-2021 - 22:15
Back to Top